//  Qds.h
//
//  Qsas - Data Selection Header File
//
//  Janet Barnes
//  April 2001
//

#ifndef QSAS_DATA_SELECTION_H_
#define QSAS_DATA_SELECTION_H_

#include "qt_version.h"
#include <qobject.h>

#if QT_VERSION < 0x040000
#include "DataSelector.h"
#include "qsw_helpwindow.h"
#else
#include "DataSelector_qt4.h"
#include "qsw_helpwindow_qt4.h"
#endif

#include "Qdos.h"
#include "qdutil.h"

class QdsWidget : public QWidget 
{

Q_OBJECT

    DataSelectorWindow* _data_select_window; 
public:
    QdsWidget(QWidget *parent);
    ~QdsWidget(){;}

    void resizeEvent(QResizeEvent*)
    {
        _data_select_window->resize(width(),height());
    }

    void show()
    { _data_select_window->show();}
public slots:      
    

};

void QDSmakeWindow(QWidget*,const char*);
void QDSCreatePopup(QWidget*);
void QdsShow();
extern int QDS_argc;
extern char ** QDS_argv;
extern QdsWidget *QDS_widget;

                                                                                                   
# endif // QSAS_DATA_SELECTION_H_
